Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1414741 - [trello 60kr8WOB] Click on label pairs in StatefulSet page wrongly turns to projects page
Summary: [trello 60kr8WOB] Click on label pairs in StatefulSet page wrongly turns to p...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OKD
Classification: Red Hat
Component: Management Console
Version: 3.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: bpeterse
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 11:00 UTC by Xingxing Xia
Modified: 2017-05-30 12:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-30 12:49:42 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Xingxing Xia 2017-01-19 11:00:10 UTC
Description of problem:
Click on label pairs in StatefulSet page wrongly turns to projects page

Version-Release number of selected component (if applicable):
openshift v1.5.0-alpha.1+e0218ac-340

How reproducible:
Always

Steps to Reproduce:
1. Create statefulset as steps in https://bugzilla.redhat.com/show_bug.cgi?id=1414709#c0
2. Click Applications --> Stateful Sets --> hello, it shows label pairs: app hello and name hello
3. Click on label name or value

Actual results:
3. It wrongly turns to projects page showing projects you can view.

Expected results:
3. It should filter statefulsets according to the clicked label name or value

Additional info:

Comment 1 bpeterse 2017-01-19 21:32:10 UTC
PR open: https://github.com/openshift/origin-web-console/pull/1153

Comment 2 Xingxing Xia 2017-01-20 03:41:07 UTC
Verified in openshift v1.5.0-alpha.2+2543fed-29. Fixed. Now click on label pairs in StatefulSet page can correctly filter statefulsets according to the clicked label name or value. Thank you.


Note You need to log in before you can comment on or make changes to this bug.